import fi.jyu.mit.ohj2.*;
/**
 * Luokka nestyksen vaihtoehdoille
 * @author Vesa Lappalainen
 * @version 1.0, 27.02.2003
 */
public class Vaihtoehdot {
  private Valinta alkiot[];
  private int lkm = 0;

  public Vaihtoehdot(int max_koko) {
    alkiot = new Valinta[max_koko];
  }

  static boolean jatketaan() {
    char c;
    System.out.println("Jatketaanko (K/e):");
    c = IO.odota_nappain("KE",'K',IO.MERKKI_ISOKSI);
    System.out.println(""+c);
    return ( c == 'K' );
  }

  public void lisaa(Valinta uusi) {
    if ( lkm >= alkiot.length ) return; // Jotakin hienompaa
    alkiot[lkm] = uusi;
    lkm++;
  }


  private void tulosta_aanet()  {
    System.out.println("Tilanne: ");
    for (int i=0; i<lkm; i++)
      System.out.println(Mjonot.fmt(alkiot[i].getTeksti(),-10) + ": " + alkiot[i].getMaara() + " ");
  }

  private Valinta etsi(char painettu) {
    for (int i=0; i<lkm; i++ )
      if ( alkiot[i].getKirjain() == painettu )
         return alkiot[i];
    return null;
  }

  private char tulosta_menu_ja_odota() {
    String sallitut = "";
    char oletus = alkiot[0].getKirjain();

    for (int i=0; i<lkm; i++ ) {
      String tulostus = alkiot[i].getTulostus();
      System.out.println("  " + tulostus);
      sallitut = sallitut + alkiot[i].getKirjain();
    }

    System.out.print("  :");
    return IO.odota_nappain(sallitut,oletus,IO.MERKKI_ISOKSI);
  }


  public void aanesta(String alkuteksti, String toteamus) {
    do {
      System.out.println(alkuteksti);
      System.out.println("");
      System.out.println("Valitse:");

      char painettu = tulosta_menu_ja_odota();

      Valinta val = etsi(painettu);
      if ( val == null ) return; // thn jotakin fiksumpaa

      System.out.println("");
      System.out.println(toteamus + " " + val.getTeksti());

      val.lisaa();

      tulosta_aanet();
    } while ( jatketaan() );

  }

  public static void main(String[] args)  {
  }
}
